﻿using System;
using System.Collections.Generic;
using System.Linq;

/// <summary>
/// Summary description for PivotGridDataSourceHelper
/// </summary>
public class PivotGridHelper
{
    public static List<PivotGridProduct> GetData
    {
        get
        {

            PivotGridCategory firstCategory = new PivotGridCategory() { CategoryID = 1, CategoryName = "Accessories", Description = "HLCrankarm, Chainring, FrontCage, and Freewheel" };
            PivotGridCategory secondCategory = new PivotGridCategory() { CategoryID = 2, CategoryName = "Bikes", Description = "MountainBike, TouringWheel, TouringPedal, ChainR" };
            PivotGridCategory thirdCategory = new PivotGridCategory() { CategoryID = 3, CategoryName = "Wheels", Description = "LLMFS, LLCrankset, LLRoadRW" };
            PivotGridCategory fourthCategory = new PivotGridCategory() { CategoryID = 4, CategoryName = "Other", Description = "Road-350-WY8, MLCrankset" };

            PivotGridProduct[] data = new PivotGridProduct[]{
            new PivotGridProduct(){ProductID=319,Name="HLCrankarm",Color="Black",SafetyLevel=200,Cost=500,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2000,1,1),LocationID="WareHouse",Shelf="A",Bin=3,Quantity=308, Category = firstCategory},
            new PivotGridProduct(){ProductID=319,Name="HLCrankarm",Color="Black",SafetyLevel=300,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=3,Quantity=184, Category = firstCategory},
            new PivotGridProduct(){ProductID=320,Name="Chainring",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="A",Bin=4,Quantity=481, Category = firstCategory},
            new PivotGridProduct(){ProductID=320,Name="ChainringBolts",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=4,Quantity=372, Category = firstCategory},
            new PivotGridProduct(){ProductID=321,Name="Chainring",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="A",Bin=6,Quantity=569, Category = firstCategory},
            new PivotGridProduct(){ProductID=321,Name="ChainringNut",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=6,Quantity=540, Category = firstCategory},
            new PivotGridProduct(){ProductID=322,Name="Chainring",Color="Black",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="A",Bin=7,Quantity=622, Category = firstCategory},
            new PivotGridProduct(){ProductID=322,Name="Chainring",Color="Black",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=7,Quantity=587, Category = firstCategory},
            new PivotGridProduct(){ProductID=332,Name="Freewheel",Color="Silver",SafetyLevel=500,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=6,Quantity=344, Category = firstCategory},
            new PivotGridProduct(){ProductID=332,Name="Freewheel",Color="Silver",SafetyLevel=500,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="Outlet",Shelf="A",Bin=7,Quantity=233, Category = firstCategory},
            new PivotGridProduct(){ProductID=351,Name="FrontCage",Color="Silver",SafetyLevel=800,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=3,Quantity=179, Category = firstCategory},
            new PivotGridProduct(){ProductID=351,Name="FrontCage",Color="Silver",SafetyLevel=800,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="Outlet",Shelf="A",Bin=4,Quantity=281, Category = firstCategory},
            new PivotGridProduct(){ProductID=352,Name="FrontLinkage",Color="Silver",SafetyLevel=800,Cost=500,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,5,1),LocationID="QA",Shelf="C",Bin=10,Quantity=300, Category = firstCategory},
            new PivotGridProduct(){ProductID=352,Name="FrontLinkage",Color="Silver",SafetyLevel=800,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="Outlet",Shelf="C",Bin=1,Quantity=278, Category = firstCategory},
            new PivotGridProduct(){ProductID=461,Name="LockRing",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="C",Bin=19,Quantity=627, Category = firstCategory},
            new PivotGridProduct(){ProductID=461,Name="LockRing",Color="Silver",SafetyLevel=1000,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="C",Bin=1,Quantity=521, Category = firstCategory},
            new PivotGridProduct(){ProductID=679,Name="RearCage",Color="Silver",SafetyLevel=500,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="C",Bin=22,Quantity=164, Category = secondCategory},
            new PivotGridProduct(){ProductID=679,Name="RearCage",Color="Silver",SafetyLevel=500,Cost=0,Price=0,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="C",Bin=13,Quantity=136, Category = secondCategory},
            new PivotGridProduct(){ProductID=709,Name="MountainBike",Color="White",SafetyLevel=10,Cost=3.3963,Price=9.5,Weight=0,Line="M-Line",Class="B-Class",SellStartDate=new DateTime(2001,7,1),LocationID="LoadArea",Shelf="C",Bin=0,Quantity=180, Category = secondCategory},
            new PivotGridProduct(){ProductID=710,Name="MountainBike",Color="White",SafetyLevel=4,Cost=3.3963,Price=9.5,Weight=0,Line="M-Line",Class="B-Class",SellStartDate=new DateTime(2001,7,1),LocationID="LoadArea",Shelf="C",Bin=0,Quantity=216, Category = secondCategory},
            new PivotGridProduct(){ProductID=821,Name="TouringWheel",Color="Black",SafetyLevel=500,Cost=96.7964,Price=218.01,Weight=0,Line="T-Line",Class="B-Class",SellStartDate=new DateTime(2002,1,1),LocationID="QA",Shelf="C",Bin=7,Quantity=432, Category = secondCategory},
            new PivotGridProduct(){ProductID=829,Name="TouringRWheel",Color="Black",SafetyLevel=400,Cost=108.7844,Price=245.01,Weight=0,Line="T-Line",Class="B-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=12,Quantity=265, Category = secondCategory},
            new PivotGridProduct(){ProductID=894,Name="RearWheel",Color="Silver",SafetyLevel=400,Cost=53.9282,Price=121.46,Weight=215,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="C",Bin=23,Quantity=337, Category = secondCategory},
            new PivotGridProduct(){ProductID=894,Name="RearTWheel",Color="Silver",SafetyLevel=400,Cost=53.9282,Price=121.46,Weight=215,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="C",Bin=14,Quantity=355, Category = secondCategory},
            new PivotGridProduct(){ProductID=907,Name="RearBrakes",Color="Silver",SafetyLevel=400,Cost=47.286,Price=106.5,Weight=317,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=19,Quantity=337, Category = secondCategory},
            new PivotGridProduct(){ProductID=907,Name="RearBrakes",Color="Silver",SafetyLevel=400,Cost=47.286,Price=106.5,Weight=317,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=12,Quantity=228, Category = secondCategory},
            new PivotGridProduct(){ProductID=941,Name="TouringPedal",Color="Brown",SafetyLevel=700,Cost=35.9596,Price=80.99,Weight=0,Line="T-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="C",Bin=14,Quantity=235, Category = secondCategory},
            new PivotGridProduct(){ProductID=941,Name="TouringPedal",Color="Brown",SafetyLevel=700,Cost=35.9596,Price=80.99,Weight=0,Line="T-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="C",Bin=5,Quantity=262, Category = secondCategory},
            new PivotGridProduct(){ProductID=945,Name="FrontWheel",Color="Silver",SafetyLevel=400,Cost=40.6216,Price=91.49,Weight=88,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,1,1),LocationID="QA",Shelf="M",Bin=4,Quantity=347, Category = secondCategory},
            new PivotGridProduct(){ProductID=945,Name="FrontTWhel",Color="Silver",SafetyLevel=400,Cost=40.6216,Price=91.49,Weight=88,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,5,1),LocationID="Outlet",Shelf="M",Bin=5,Quantity=236, Category = secondCategory},
            new PivotGridProduct(){ProductID=948,Name="FrontBrakes",Color="Silver",SafetyLevel=500,Cost=47.286,Price=106.5,Weight=317,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,1,1),LocationID="QA",Shelf="M",Bin=1,Quantity=347, Category = secondCategory},
            new PivotGridProduct(){ProductID=952,Name="ChainR",Color="Silver",SafetyLevel=500,Cost=8.9866,Price=20.24,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,5,1),LocationID="WareHouse",Shelf="M",Bin=5,Quantity=236, Category = thirdCategory},
            new PivotGridProduct(){ProductID=952,Name="ChainF",Color="Silver",SafetyLevel=500,Cost=8.9866,Price=20.24,Weight=0,Line="A-Line",Class="B-Class",SellStartDate=new DateTime(2003,1,1),LocationID="QA",Shelf="C",Bin=5,Quantity=192, Category = thirdCategory},
            new PivotGridProduct(){ProductID=976,Name="Road-350-W",Color="White",SafetyLevel=4,Cost=1082.51,Price=1700.99,Weight=16.42,Line="M-Line",Class="B-Class",SellStartDate=new DateTime(2003,6,1),LocationID="WareHouse",Shelf="T",Bin=1,Quantity=104, Category = thirdCategory},
            new PivotGridProduct(){ProductID=976,Name="Road-350-W",Color="White",SafetyLevel=4,Cost=1082.51,Price=1700.99,Weight=16.42,Line="M-Line",Class="B-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="T",Bin=1,Quantity=104, Category = thirdCategory},
            new PivotGridProduct(){ProductID=976,Name="Road-350-W",Color="White",SafetyLevel=4,Cost=1082.51,Price=1700.99,Weight=16.42,Line="M-Line",Class="B-Class",SellStartDate=new DateTime(2003,5,1),LocationID="WareHouse",Shelf="T",Bin=1,Quantity=104, Category = thirdCategory},
            new PivotGridProduct(){ProductID=747,Name="HLMountainFr",Color="Black",SafetyLevel=50,Cost=739.041,Price=1349.6,Weight=2.68,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2001,1,1),LocationID="Outlet",Shelf="C",Bin=0,Quantity=121, Category = thirdCategory},
            new PivotGridProduct(){ProductID=747,Name="HLMountainFr",Color="Black",SafetyLevel=50,Cost=739.041,Price=1349.6,Weight=2.68,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2001,6,1),LocationID="WareHouse",Shelf="C",Bin=0,Quantity=161, Category = thirdCategory},
            new PivotGridProduct(){ProductID=748,Name="HLMountainFre",Color="Silver",SafetyLevel=50,Cost=747.2002,Price=1364.5,Weight=2.68,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2001,7,1),LocationID="Outlet",Shelf="C",Bin=0,Quantity=105, Category = thirdCategory},
            new PivotGridProduct(){ProductID=748,Name="HLMountainFr",Color="Silver",SafetyLevel=500,Cost=747.2002,Price=1364.5,Weight=2.68,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2001,7,1),LocationID="WareHouse",Shelf="C",Bin=0,Quantity=145, Category = thirdCategory},
            new PivotGridProduct(){ProductID=749,Name="Road-150",Color="Red",SafetyLevel=100,Cost=2171.2942,Price=3578.27,Weight=15,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2001,7,1),LocationID="LoadArea",Shelf="C",Bin=0,Quantity=73, Category = thirdCategory},
            new PivotGridProduct(){ProductID=750,Name="Road-150",Color="Red",SafetyLevel=100,Cost=2171.2942,Price=3578.27,Weight=13.77,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2001,7,1),LocationID="LoadArea",Shelf="C",Bin=0,Quantity=102, Category = thirdCategory},
            new PivotGridProduct(){ProductID=751,Name="Road-150",Color="Red",SafetyLevel=100,Cost=2171.2942,Price=3578.27,Weight=14.13,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2001,7,1),LocationID="WareHouse",Shelf="C",Bin=0,Quantity=32, Category = thirdCategory},
            new PivotGridProduct(){ProductID=817,Name="HLMFW",Color="Black",SafetyLevel=500,Cost=133.2955,Price=300.215,Weight=0,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2002,7,1),LocationID="QA",Shelf="C",Bin=3,Quantity=443, Category = thirdCategory},
            new PivotGridProduct(){ProductID=820,Name="HLRFW",Color="Black",SafetyLevel=400,Cost=146.5466,Price=330.06,Weight=650,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2002,7,1),LocationID="QA",Shelf="C",Bin=6,Quantity=446, Category = thirdCategory},
            new PivotGridProduct(){ProductID=825,Name="HLMRW",Color="Black",SafetyLevel=700,Cost=145.2835,Price=327.215,Weight=0,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=11,Quantity=396, Category = thirdCategory},
            new PivotGridProduct(){ProductID=828,Name="HLRRW",Color="Black",SafetyLevel=700,Cost=158.5346,Price=357.06,Weight=890,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=12,Quantity=432, Category = thirdCategory},
            new PivotGridProduct(){ProductID=937,Name="HLMountainP",Color="Brown",SafetyLevel=500,Cost=35.9596,Price=80.99,Weight=185,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=20,Quantity=171, Category = thirdCategory},
            new PivotGridProduct(){ProductID=937,Name="HLMountainP",Color="Brown",SafetyLevel=500,Cost=35.9596,Price=80.99,Weight=185,Line="M-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=9,Quantity=179, Category = thirdCategory},
            new PivotGridProduct(){ProductID=940,Name="HLRoadPedal",Color="Brown",SafetyLevel=400,Cost=35.9596,Price=80.99,Weight=149,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="C",Bin=17,Quantity=316, Category = thirdCategory},
            new PivotGridProduct(){ProductID=940,Name="HLRoadPedal",Color="Brown",SafetyLevel=700,Cost=35.9596,Price=80.99,Weight=149,Line="R-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=4,Quantity=267, Category = thirdCategory},
            new PivotGridProduct(){ProductID=951,Name="HLCrankset",Color="Black",SafetyLevel=500,Cost=179.8156,Price=404.99,Weight=575,Line="A-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=3,Quantity=278, Category = thirdCategory},
            new PivotGridProduct(){ProductID=951,Name="HLCrankset",Color="Black",SafetyLevel=500,Cost=179.8156,Price=404.99,Weight=575,Line="A-Line",Class="H-Class",SellStartDate=new DateTime(2003,7,1),LocationID="QA",Shelf="M",Bin=16,Quantity=348, Category = thirdCategory},
            new PivotGridProduct(){ProductID=317,Name="LLCrankarm",Color="Black",SafetyLevel=300,Cost=0,Price=0,Weight=0,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(1998,1,1),LocationID="WareHouse",Shelf="A",Bin=1,Quantity=283, Category = thirdCategory},
            new PivotGridProduct(){ProductID=317,Name="LLCrankarm",Color="Black",SafetyLevel=300,Cost=0,Price=0,Weight=0,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(1998,5,1),LocationID="QA",Shelf="A",Bin=1,Quantity=158, Category = thirdCategory},
            new PivotGridProduct(){ProductID=815,Name="LLMFW",Color="Black",SafetyLevel=500,Cost=26.9708,Price=60.745,Weight=0,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2002,5,1),LocationID="QA",Shelf="C",Bin=1,Quantity=265, Category = thirdCategory},
            new PivotGridProduct(){ProductID=818,Name="LLRFW",Color="Black",SafetyLevel=500,Cost=37.9909,Price=85.565,Weight=900,Line="R-Line",Class="L-Class",SellStartDate=new DateTime(2002,1,1),LocationID="QA",Shelf="C",Bin=4,Quantity=428, Category = thirdCategory},
            new PivotGridProduct(){ProductID=823,Name="LLMRW",Color="Black",SafetyLevel=400,Cost=38.9588,Price=87.745,Weight=0,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2002,5,1),LocationID="WareHouse",Shelf="C",Bin=10,Quantity=425, Category = thirdCategory},
            new PivotGridProduct(){ProductID=826,Name="LLRoadRW",Color="Black",SafetyLevel=700,Cost=49.9789,Price=112.565,Weight=1050,Line="R-Line",Class="L-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=11,Quantity=393, Category = thirdCategory},
            new PivotGridProduct(){ProductID=935,Name="LLMountainP",Color="Brown",SafetyLevel=400,Cost=17.9776,Price=40.49,Weight=218,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=24,Quantity=174, Category = thirdCategory},
            new PivotGridProduct(){ProductID=935,Name="LLMountainP",Color="Brown",SafetyLevel=400,Cost=17.9776,Price=40.49,Weight=218,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=1,Quantity=182, Category = thirdCategory},
            new PivotGridProduct(){ProductID=938,Name="LLRoadPedal",Color="Brown",SafetyLevel=500,Cost=17.9776,Price=40.49,Weight=189,Line="R-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=21,Quantity=169, Category = thirdCategory},
            new PivotGridProduct(){ProductID=938,Name="LLRoadPedal",Color="Brown",SafetyLevel=400,Cost=17.9776,Price=40.49,Weight=189,Line="R-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=10,Quantity=177, Category = thirdCategory},
            new PivotGridProduct(){ProductID=943,Name="LLMFB",Color="Black",SafetyLevel=400,Cost=136.785,Price=249.79,Weight=2.88,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="Outlet",Shelf="M",Bin=0,Quantity=102, Category = thirdCategory},
            new PivotGridProduct(){ProductID=943,Name="LLMFB",Color="Black",SafetyLevel=400,Cost=136.785,Price=249.79,Weight=2.88,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=0,Quantity=142, Category = thirdCategory},
            new PivotGridProduct(){ProductID=944,Name="LLMFS",Color="Silver",SafetyLevel=400,Cost=144.5938,Price=264.05,Weight=2.88,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="Outlet",Shelf="M",Bin=0,Quantity=112, Category = thirdCategory},
            new PivotGridProduct(){ProductID=944,Name="LLMFS",Color="Silver",SafetyLevel=400,Cost=144.5938,Price=264.05,Weight=2.88,Line="M-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=0,Quantity=96, Category = fourthCategory},
            new PivotGridProduct(){ProductID=949,Name="LLCrankset",Color="Black",SafetyLevel=500,Cost=77.9176,Price=175.49,Weight=600,Line="A-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=1,Quantity=265, Category = fourthCategory},
            new PivotGridProduct(){ProductID=949,Name="LLCrankset",Color="Black",SafetyLevel=500,Cost=77.9176,Price=175.49,Weight=600,Line="A-Line",Class="L-Class",SellStartDate=new DateTime(2003,7,1),LocationID="QA",Shelf="M",Bin=14,Quantity=336, Category = fourthCategory},
            new PivotGridProduct(){ProductID=318,Name="MLCrankarm",Color="Black",SafetyLevel=200,Cost=0,Price=0,Weight=0,Line="A-Line",Class="M-Class",SellStartDate=new DateTime(1998,6,1),LocationID="WareHouse",Shelf="A",Bin=2,Quantity=136, Category = fourthCategory},
            new PivotGridProduct(){ProductID=318,Name="MLCrankarm",Color="Black",SafetyLevel=200,Cost=0,Price=0,Weight=0,Line="A-Line",Class="M-Class",SellStartDate=new DateTime(1998,6,1),LocationID="QA",Shelf="A",Bin=2,Quantity=171, Category = fourthCategory},
            new PivotGridProduct(){ProductID=816,Name="MLMountain",Color="Black",SafetyLevel=500,Cost=92.8071,Price=209.025,Weight=0,Line="M-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="QA",Shelf="C",Bin=2,Quantity=406, Category = fourthCategory},
            new PivotGridProduct(){ProductID=819,Name="MLRFW",Color="Black",SafetyLevel=500,Cost=110.2829,Price=248.385,Weight=850,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="QA",Shelf="C",Bin=5,Quantity=409, Category = fourthCategory},
            new PivotGridProduct(){ProductID=822,Name="MLRoadFWY",Color="Yellow",SafetyLevel=400,Cost=360.9428,Price=594.83,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="Outlet",Shelf="C",Bin=0,Quantity=115, Category = fourthCategory},
            new PivotGridProduct(){ProductID=822,Name="MLRoadF38",Color="Yellow",SafetyLevel=700,Cost=360.9428,Price=594.83,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=0,Quantity=155, Category = fourthCategory},
            new PivotGridProduct(){ProductID=824,Name="MLMountain",Color="Black",SafetyLevel=700,Cost=104.7951,Price=236.025,Weight=1,Line="M-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=10,Quantity=411, Category = fourthCategory},
            new PivotGridProduct(){ProductID=827,Name="MLRoadWheel",Color="Black",SafetyLevel=700,Cost=122.2709,Price=275.385,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2002,7,1),LocationID="WareHouse",Shelf="C",Bin=12,Quantity=412, Category = fourthCategory},
            new PivotGridProduct(){ProductID=936,Name="MLMountainP",Color="Brown",SafetyLevel=500,Cost=27.568,Price=62.09,Weight=1,Line="M-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=25,Quantity=172, Category = fourthCategory},
            new PivotGridProduct(){ProductID=936,Name="MLMountainP",Color="Brown",SafetyLevel=500,Cost=27.568,Price=62.09,Weight=1,Line="M-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=2,Quantity=180, Category = fourthCategory},
            new PivotGridProduct(){ProductID=939,Name="MLRoadPedal",Color="Brown",SafetyLevel=400,Cost=27.568,Price=62.09,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=16,Quantity=168, Category = fourthCategory},
            new PivotGridProduct(){ProductID=939,Name="MLRoadPedal",Color="Brown",SafetyLevel=400,Cost=27.568,Price=62.09,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="A",Bin=3,Quantity=176, Category = fourthCategory},
            new PivotGridProduct(){ProductID=942,Name="MLMountainF",Color="Silver",SafetyLevel=400,Cost=199.3757,Price=364.09,Weight=1,Line="M-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=0,Quantity=160, Category = fourthCategory},
            new PivotGridProduct(){ProductID=950,Name="MLCrankset",Color="Black",SafetyLevel=500,Cost=113.8816,Price=256.49,Weight=1,Line="A-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="WareHouse",Shelf="M",Bin=2,Quantity=272, Category = fourthCategory},
            new PivotGridProduct(){ProductID=950,Name="MLCrankset",Color="Black",SafetyLevel=500,Cost=113.8816,Price=256.49,Weight=1,Line="A-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="QA",Shelf="M",Bin=15,Quantity=342, Category = fourthCategory},
            new PivotGridProduct(){ProductID=973,Name="Road-350-WY",Color="Yellow",SafetyLevel=400,Cost=1082.51,Price=1700.99,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="LoadArea",Shelf="T",Bin=0,Quantity=99, Category = fourthCategory},
            new PivotGridProduct(){ProductID=974,Name="Road-350-WY42",Color="Yellow",SafetyLevel=100,Cost=1082.51,Price=1700.99,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="LoadArea",Shelf="T",Bin=0,Quantity=67, Category = fourthCategory},
            new PivotGridProduct(){ProductID=975,Name="Road-350-WY4",Color="Yellow",SafetyLevel=100,Cost=1082.51,Price=1700.99,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="LoadArea",Shelf="T",Bin=21,Quantity=73, Category = fourthCategory},
            new PivotGridProduct(){ProductID=976,Name="Road-350-WY8",Color="Yellow",SafetyLevel=100,Cost=1082.51,Price=1700.99,Weight=1,Line="R-Line",Class="M-Class",SellStartDate=new DateTime(2003,7,1),LocationID="LoadArea",Shelf="T",Bin=0,Quantity=104, Category = fourthCategory}
            };

            return data.ToList();
        }
    }

    public class PivotGridProduct
    {
        public int ProductID { get; set; }
        public string Name { get; set; }
        public string Color { get; set; }
        public int SafetyLevel { get; set; }
        public double Cost { get; set; }
        public double Price { get; set; }
        public double Weight { get; set; }
        public string Line { get; set; }
        public string Class { get; set; }
        public DateTime SellStartDate { get; set; }
        public string LocationID { get; set; }
        public string Shelf { get; set; }
        public int Bin { get; set; }
        public int Quantity { get; set; }
        public PivotGridCategory Category { get; set; }
    }

    [Serializable]
    public class PivotGridCategory : IComparable
    {
        public int CategoryID { get; set; }
        public string CategoryName { get; set; }
        public string Description { get; set; }

        public override string ToString()
        {
            return CategoryID.ToString() + " " + CategoryName;
        }

        public override bool Equals(object obj)
        {
            PivotGridCategory category = obj as PivotGridCategory;
            if (category != null)
            {
                return CategoryID.Equals(category.CategoryID) &&
                       CategoryName.Equals(category.CategoryName) &&
                       Description.Equals(category.Description);
            }
            else
            {
                return false;
            }
        }

        public override int GetHashCode()
        {
            return CategoryID.GetHashCode() + CategoryName.GetHashCode() + Description.GetHashCode();
        }

        public int CompareTo(object obj)
        {
            return CategoryID.CompareTo(((PivotGridCategory)obj).CategoryID);
        }
    }
}